
        FileDude 5.3                                          What's New
        ================================================================


        FileDude 5.3 released
        ----------------------

        See the WHATS.NEW file.


        FileDude 5.2 released
        ----------------------

        WHAT TO DO

        Delete your FILEDIZ.DAT and VIRSCAN.DAT files and any files
        ending with the .SWP extension in your FileDude directory.

        Make sure to use the new FORMATS.DAT contained in this package.

        THE GOOD STUFF

        Add     Added time slicing for Desqview, Windows 3.x, OS/2 2.0,
                OS/2 2.1, and OS/2 3.0 to the DOS version of FileDude.

        Add     A few undocumented MCI codes from FileDude 5.1:

                %FC   6     BODYINFO.ASC  Number of credits required for
                                          file

                %FD   8     BODYINFO.ASC  Date of file entry
                            BODY.ASC
                            EXTBODYx.ASC

                %F9   6     BODYINFO.ASC  Number of downloads of a file

                The BODYINFO.ASC comes right after any BODY.ASC or
                EXTBODYx.ASC lines.

                In FileDude 5.1, the %FD was only valid in the
                BODYINFO.ASC.

        Change  FileDude no longer lets you "Pack the EXTENDED.DAT" if
                you have not tagged ALL file areas for processing.

        Add     "Fix Date" will now fix entry dates which are more
                recent than "today's" date.  i.e. 01/01/99 will be fixed
                if you run FileDude on 01/01/95.

        Fix     Date stamping on file entries now works properly.
                Before, new files might show up for up to 5 days after
                they were uploaded by FileDude.  Yikes!

        Fix     FileDude now resets the color of the DOS prompt to
                LIGHTGRAY upon exiting -- even if you run with /NOMENU.

        Fix     CD-ROM Format associations went haywire if you pressed
                PgUp or PgDn.  Fixed now.

        Fix     FileDude would croak on blank first-line descriptions
                when doing CD-ROM/FILES.BBS imports.

        Fix     FileDude would create empty TEMPLATE directories if you
                ran it from somewhere other than its home directory.  It
                also would not correctly move the template files if you
                ran it off a different drive.  Fixed.  Submitted by Carl
                Morris.

        Fix     The first entry starting on the first line of a
                FILES.BBS is now imported.  Submitted by Carl Morris.

        Change  FILEDUDE.LOG streamlined;  got rid of unnecessary
                "Processing [AREA]" statements.  Idea submitted by Carl
                Morris.

        Fix     If FileDude packed one of its .DAT files while on a
                different drive than its home directory, an error would
                occur.  Fixed.

        Fix     FileDude no longer packs its AREACFG.DAT an infinite
                number of times whenever you add or delete a file area
                near the beginning of the list.

        Change  Rewrote error-handling routines, so you get a more
                useful message, and the error messages to FILEDUDE.LOG
                are more uniform.

        Fix     The descriptions associated with padded filenames in a
                FILES.BBS were not imported correctly, resulting in a
                strange "P " in front of the description.  Fixed.
                Submitted by Carl Morris.

        Add     Added "FileDude will be running inside a window" option
                to the Advanced Config menu.  This option, when toggled
                on, will force FileDude to always update the ACTUAL
                position of the cursor.  This positioning of the cursor
                allows for easier viewing inside a DV, OS/2, or Windows
                window (less than full-screen.)  Submitted by Carl
                Morris.

        Add     The FILEDUDE.LOG file will now be erased and started
                over every time it reaches 64k.

        Add     FileDude has new grammar skills.  In all template files,
                you can now have FileDude choose between a singular or
                plural form of a word.  For example:  %F3
                %[directory/directories] This example will choose either
                "directory" or "directories", depending on the value of
                the %F3 code.  0 is considered plural. Inspired by Amit
                Patel.

        Add     FileDude's new grammar skills extended to the "Stats"
                display at the end of processing.

        Fix     Fixed the error when FileDude tried to upload a filelist
                to a .DIR that was not accessible due to SHARE.
                FileDude will now simply tell the user that it cannot
                upload the filelist.

        Fix     FileDude no longer deletes the actual file when it
                encounters a duplicate entry in the same area as the
                original entry.  The format of FILEDIZ.DAT and
                VIRSCAN.DAT and the .SWP files was changed to make this
                possible.  Submitted by Daniel Osborn.

        Add     "Set Hatch Flag" option added to the Misc menu.  This
                option instructs FileDude to set the hatch flag on for
                file entries which are uploaded or updated by FILES.BBS.
                Submitted by Carl Morris.

        Add     "Auto Virus Validate" option added to the Misc menu.
                This option, to be used in conjunction with "Set Hatch
                Flag", instructs FileDude to automatically consider all
                entries with the hatch flag ON to be free of viruses.
                You only need to process the files with this option once
                for it to take effect. Running it more than once will
                not harm it, though.  This option is intended to avoid
                redudant virus checks when running a .TIC -> FILES.BBS
                manager which does virus checking.  Submitted by Carl
                Morris.

        Change  Because the Misc menu was getting so big, all
                filelist-related options have been moved to a brand new
                menu called [gasp] the Filelist menu.  The Misc menu has
                also be reorganized.

        Add     "Process New Areas" option added to the Misc menu. This
                option instructs FileDude to automatically place checks
                next to new areas in the Area Config menu.  In other
                words, this option tells FileDude to scan for new areas
                and add them to the processing list on the next run.
                This option only affects the current config; the new
                areas will not be automatically processed by other
                configurations unless their "Process New Areas" flags
                are toggled on.  Submitted by Michael Glenn.

        Add     "Only List New Files" option added to the Filelist menu.
                This option instructs FileDude to only include newly
                uploaded files on the generated filelist.  The number of
                days limit for what is considered "new" is defined in
                the Basic Config menu.

        Fix     FileDude would sometimes have an error if a FILEDIZ.DAT
                was greater than 16,384 bytes and was not a multiple of
                16,384.  The problem was not as stupid as it sounds --
                it was very interesting, in fact -- but the details are
                "beyond the scope of this document."  Submitted by Nick
                Amento.

        Add     "Information" static window added to menu screen.
                Inspired by Carl Morris (and his illogical need to know
                which config he's working on...)

        Fix     FileDude now correctly virus scans non-archives and
                files of unknown archive types.  It wasn't copying the
                files into the directory it virus scans.

        Add     "No Decompression" option added to Misc menu.  This
                option instructs FileDude to not decompress archives
                before running the virus scanner defined in Basic
                Configuration.  This allows you to use upload
                processors, such as THD, as your virus scanner.

        Fix     If "Check Version" was checked and you ran FileDude with
                the /NOMENU option, it would bomb out with an array
                overrun error.  FileDude was having problems writing a
                DEL.BBS for files with no extended descriptions.

        New     An OS/2 version of FileDude -- FileDude/2 -- has been
                created.

        Fix     Fixed all the QEMM-type memory exceptions and other
                problems resulting from memory corruption.

        Add     "Compression Wildcard" and "Decompression Wildcard"
                fields added to the "Archive Config" menu.  This allows
                FileDude to use archivers which do not use "*.*" as
                their wildcard specification.  Most notably, this now
                allows FileDude/2 for OS/2 to use Info-ZIP for OS/2.

        Fix     FileDude no longer uploads the WORKING.ASC file if
                "Upload Everything in Sight" is toggled on.


        FileDude 5.1 released
        ----------------------

        WHAT TO DO

        1)  Delete your old FILEDUDE.DAT.  This version uses a much
            improved file format.

        2)  Make SURE you are using the new FORMATS.DAT included in this
            package.


        GOOD STUFF

        Mod:  Registration is now only US $10.  That's a low price for
              all the benefits you get when you register.

        Fix:  FileDude can how handle 1024 file areas, the maximum
              Renegade allows.

        New:  Multiple template sets.  You can now define a template
              directory in the Basic Configuration menu.  Each config
              can have its own template directory.

        Change:  FILE_ID.DIZ is now always used before DESC.SDI. Many
                 people requested this.  A LOT of people.

        Fix:  If a compressed filelist (such as FILELIST.ZIP) already
              exists, FileDude will now delete it before creating a
              new one.  Before, programs such as PKZIP would just add
              the file into an existing archive, and if you changed the
              filelist filename, you'd end up with two different files
              in the archive when you only wanted one.
              Submitted by Carl Morris.

        Fix:  FileDude now correctly wraps descriptions with pipe color
              codes.  Before, it was not measuring the lines correctly.
              Submitted by Carl Morris.

        Fix:  FileDude was not closing the FILES.BBS before deleting it.
              It now closes it properly.

        New:  "Mark Filelist As New" toggle in the Misc menu.  If
              toggled on, the upload date on the filelist entry will
              be updated so your users will see it on their newscan.
              Regardless of this toggle, users will still find the
              filelist on their newscan the first time FileDude uploads
              it.  Submitted by Carl Morris.

        New:  %TI = Current time.  This MCI code is useful if you want
              users to know when your filelist is created, for example.
              Submitted by Carl Morris.

        Fix:  FileDude leaves a few more bytes of itself in memory
              when shelling to DOS.  This fixes a problem under
              Desqview, where COMMAND.COM might have trouble reloading.
              Submitted by Carl Morris.

        Fix:  Color was not reset upon exit.  This resulted in a "nice
              shade of magenta."  FileDude now properly restores your
              colors.  Submitted by:  Nicholas Loch

        Fix:  When extracting FILE_ID.DIZ from archives, FileDude will
              now delete the previous one in the temporary directory no
              matter what file attributes it has.  Before, a FILE_ID.DIZ
              with a read-only attribute, for example, would prevent
              FileDude from deleting it, thus causing files with no
              FILE_ID.DIZ to inherit the description.  Yikes!

        New:  "Validated Filelist" toggle in the Misc menu.  This toggle
              will prevent unvalidated and resume files from showing up
              on your filelist. Submitted by Carl Morris.

        New:  FileDude finds FILE_ID.DIZ and DESC.SDI files inside ZIP
              and ARJ archives faster.  It now internally recognizes
              their header formats.

        Fix:  A very bad bug in the configuration file's packing routine
              was corrected.  This would lead to loss of data and
              messages like "Data file tampered with!"  But it's fixed
              now, and the packing is actually faster.

        New:  When scanning for FILE_ID.DIZ and DESC.SDI files, FileDude
              now keeps a record (in FILEDIZ.DAT) of which files it has
              scanned.  This "memory" is based on the CRC-32 of several
              file statistics, so if anything about that file changes,
              FileDude will rescan it.

              If you want to rescan ALL files for DIZ or SDI
              descriptions, simply delete the FILEDIZ.DAT file.

        Fix:  FileDude should now properly handle areas which you have
              just set up and RG has not yet created a .DIR file for.

        Fix:  When processing areas, you can now abort between areas
              which do not contain any files.

        New:  FileDude now contains a default "Virus scanner
              commandline" (in the Basic Configuration menu) for McAfee
              SCAN v.2.1.1 and up. This version is one of the first of a
              new line of scanners from McAfee. It's much better than
              the old line.

              You can find this scanner on a board near you as the
              filename SCN-2xxx.ZIP, where 'xxx' is an interesting
              hexadecimal version number of some sort.

        Fix:  The "Delete Offline" toggle no longer requires the "Fix
              Offline" toggle to be turned on.  What a dumb dependency.

        Fix:  Nows finds files in the upload directory.  Before,
              FileDude marked any files in the upload directory as
              offline, since the program only checked the download
              directory.  The FILES.BBS-type list, however, must still
              be in the download directory.

        New:  "Fix Upload Date" toggle in the Fix menu.  FileDude will
              set the .DIR date to "today's date" when it finds a file
              is newer than the .DIR entry's date.  If you get a file
              through a network file echo, for example, this means that
              any new versions of a file will show up on a newscan
              when FileDude updates the .DIR.

        Mod:  Filelists are now uploaded as VALIDATED, regardless of the
              "Don't Validate" toggle.

        New:  Formatting of MCI codes in the filelist templates has been
              completely revamped.  See the new FDMCI.DOC for details.
              Thanks to Carl Morris for suggesting the new method.
              (Though, it's not exactly what he wanted...)

        Mod:  FileDude now imports descriptions from ZIP and ARJ
              archives whose extensions aren't ".Zxx" or ".Axx".

        Mod:  Parsing during DIZ and SDI importing is noticeably faster.

        Fix:  Fixed the FILES.BBS-import wordwrap problems.

        Fix:  No longer cuts off the last line of a wrapped description.

        New:  "Wordwrap FILE_ID.DIZ" in the Description menu.  By
              default, FileDude no longer wraps DIZ descriptions.  It
              will still wrap DESC.SDI and FILES.BBS descriptions.

        Mod:  The default description is no longer configurable for
              UNREGISTERED users of FileDude.  Once you register, the
              "UNREGISTERED" part will go away and you can change the
              default description to whatever you want.

        New:  "Default Uploader" in the Advanced Menu.  You can specify
              a different uploader from the default, which is the sysop.
              *** REGISTERED-only feature ***

        Mod:  Updates of DEL.LST and DEL.BBS should be much faster now.

        New:  "Delete Dups From Disk" in the Fix Menu.  Forces
              duplicates to be deleted from diskette, regardless of the
              "Don't Delete Actual Files" toggle.

        New:  DEL.BBS now includes the extended description of files.

        New:  "Update SYSOP.LOG" in the Misc Menu.  Logs session
              statistics to SYSOP.LOG in RG's LOG directory.

        Fix:  No longer does DIZ and FILES.BBS checking, virus scanning,
              or archive conversion on files with the RESUME flag.

        Fix:  The user-defined line lengths will now be used when
              wrapping FILE_ID.ASC, *IF* those line lengths are less
              than or equal to 45 characters.  Why?  The FILE_ID.DIZ
              standard is 45 characters by 10 lines.  FileDude is not
              about to produce non-standard FILE_ID.DIZ descriptions.

        Fix:  Wordwrapping improved.

        Mod:  Swapping routines are now used when shelling to DOS for
              archive functions.

        Mod:  When a processing event which is building a filelist is
              aborted, the incomplete WORKING.ASC is now deleted.

        Fix:  FileDude now realizes the FILE_ID.DIZ standard is 45
              characters, not 40.  Thanks to Carl Morris for pointing
              this out to me.

        Mod:  FILEDUDE.LOG is now opened in DENYWR mode (so you can read
              the log in another window while FileDude is processing.)

        Fix:  FileDude will now prompt you to save your configuration
              if you change a toggle such as "Fix Offline".  Finally!

        Mod:  FileDude now requires a 286 or higher.

        Mod:  FILEDUDE.LOG is now more readable, and processing should
              be faster with the log option toggled on.

        Mod:  Every time a new filelist was produced, a new entry was
              made in FILEDIZ.DAT, and the old entry was still there.

        Mod:  FileDude now scans all files it uploads for viruses, when
              the virus scanning option is toggled, regardless of
              whether it has been scanned before.

        REMOVED:  Duplicate extended description checking.
                  (What the heck was the point?)


        FileDude v5.0 released
        ----------------------

        FileDude was almost completely rewritten for this release.
        The result was a much faster, extremely reliable product.

        Speed   If you saw version 4.0, you will be simply amazed at how
                fast this version runs.  Even on the slowest features,
                version 5.0 can outrun 4.0.

        Size    Version 4.0 was around 357k.
                Version 5.0 is around 253k.

                Yeah!!

        Rem     I _strongly_ suggest you register this version.  The
                registered copy of FileDude v5.0 has many new, NICE
                features.  See BENEFITS.REG and REGISTER.FRM for more
                details.

        Fixed   Archive conversion.  It's ten times better than before.

        Fixed   CD-ROM import array errors.  FileDude can now import a
                CD-ROM list up to 64k (for one file area.)

        Fixed   One whopping memory leak.  FileDude can now handle a
                file base of any size, so you never have to worry about
                it overloading.

        Fixed   Word-wrapping and general handling of descriptions.
                FileDude now has a fabulous system of making the
                description look good and exactly what the FILE_ID.DIZ
                meant it to look like (except it's only 5 lines.)

        Fixed   FILES.BBS deletion.  Before, it would delete the
                FILES.BBS before having a chance to upload it.  Eek!

        Fixed   FileDude would forget to turn the DOS cursor back on
                when shelling to DOS.  Whoops!
                Discovered by Lars Hellsten.

        Fixed   FileDude would not account for midnight rollover when
                calculating the time it took to process.
                Discovered by Lars Hellsten.

        Fixed   When finding OFFLINE files, FileDude wiped out the
                extended description.
                Discovered by Robert Kennedy.

        Fixed   SHARE support.  FileDude now has _much_ better SHARE
                support in general.  It acts much "smarter" now, turning
                off certain features whenever it doesn't have the
                necessary access to the necessary files.

        Gone    Prompting for descriptions.

        Gone    "Press ESCAPE" thing on the unregistered version.

        Gone    Extra long extended descriptions.  Sorry, folks -- I
                began writing this version to only handle what Renegade
                itself can handle.  That means the stupid four line
                limit. I don't rule this feature out for future
                versions, since someone did submit a better way of
                naming the duplicate entries.

        Mod     FileDude now defaults to NOT wanting to upload every
                file in the universe.  Whereas before there was an
                option "Don't Upload," now there is an option to "Upload
                Ever File in Sight" for times when you feel nostalgic.

        Mod     FileDude now uses RENEGADE.DAT to find FBASES.DAT,
                EXTENDED.DAT, and all your .DIRs.

        Mod     "Default uploader" is now automatically determined by
                FileDude as the SysOp name in RENEGADE.DAT.

        Mod     "Fix Points" is now "Fix Credits" to conform to
                Renegade's new credit system.  The credits per K is now
                automatically determined from the RENEGADE.DAT.

        Mod     When looking for internal description files, FileDude
                will automatically try to find FILE_ID.DIZ _and_
                DESC.SDI. FILE_ID.DIZ overrides DESC.SDI if an archive
                contains both.

        Mod     FileDude will now find duplicates across ALL file areas,
                rather than just within one area.

        Mod     The template files now use a new set of FiledudeMCI
                codes which look more like Renegade's new MCI system.
                Some codes are the same as Renegade's, some are made up.

        Mod     All .CFG configuration files have been replaced with an
                integrated editing system accessible in the menu system.
                You can now edit your CD-ROM, archive, and multiple
                setups configurations directly inside the menu system.

                FILEDUDE.DAT is where custom data is stored.
                FORMATS.DAT is where CD-ROM and archive formats are
                stored.

        Mod     Configuration of filelist maker and archive conversion
                is now done in the "Basic Configuration."

        Mod     Most of the menus have been changed.

        Mod     Zillions of cosmetic changes.

        Mod     Registration system completely rewritten.

        Mod     Archive conversion is now so advanced so that it's been
                reclassified as a ***REGISTERED-ONLY FEATURE***.

        Added   Virus scanning.
                ***REGISTERED-ONLY FEATURE***

        Added   Version checking (delete PROG10.XXX if you have
                PROG20.XXX) ***REGISTERED-ONLY FEATURE***

        Added   Packing of EXTENDED.DAT.
                ***REGISTERED-ONLY FEATURE***

        Added   Fixing of duplicate extended descriptions.
                ***REGISTERED-ONLY FEATURE***

        Added   FileDude can now compress your filelist and add a
                FILE_ID.DIZ description (FILE_ID.ASC is the template).

        Added   Support for Renegade-style FILES.BBS.  FileDude will now
                support padded filenames in ANY CD-ROM/FILES.BBS list,
                in addition to the regular non-padded filenames. In
                other words, FILEDUDE SUPPORTS BOTH WAYS! First
                requested by Ray Smith.


        FileDude v4.0 released
        ----------------------

        Speed   Dramatically increased speed of file lister (if all
                functional options are off.)  On my system, for example,
                it went from 10 minutes to 52 seconds. On another, it
                went from 15 minutes to just under 3 minutes.

        Rem     Please remember that SET TEMP= in your AUTOEXEC.BAT will
                determine where the swap file (which FileDude creates
                when it drops to DOS for conversion) will be located.

        Added   Word wrapping configuring (especially useful for
                FILES.BBS importing) in FILEDUDE.CFG. Not on the menu,
                however.

        Added   Three commandline arguments:

                /NoMenu         Run in automatic mode
                /Config=        Use a configuration file other
                                than default (FILEDUDE.CFG)
                /TempFiles=     Redirect all temporary files to
                                RAM drive

        Added   CD-ROMs are now COMPLETELY supported.

                FILESBBS.CFG    Configuration file for setting up
                                different CD-ROM formats

                You can now specify a path and file format for each file
                area (in the "Config Areas" menu)

        Added   Mouse support.  Like one someone once said,
                "It's the '90s - we point and click!"

        Mod     Can now chose which archive-types to convert in "Convert
                Archive" option

        Mod     Can now produce all three file list type (ASCII,
                ANSI,AVATAR) at the same time

        Mod     File points setting is now in two parts: numerator and
                denomenator.  The role of each is explained in the "File
                Points" menu.

        Added   Pulldown menu system! Finally!

        Added   Extra long description support (in FILE_ID.DIZ) If this
                option is checked in the "Basic Configuration" menu,
                FileDude will simulate unlimited lines for extended
                descriptions by allocating extra file entries.

                BE CAREFUL!! DO NOT TRY THIS UNLESS YOU HAVE BACKED UP
                YOUR .DIR FILES! (you never know...)

        Added   Configuration file (FILEDUDE.CFG) support.

        Gone    Old commandline system.

        Fixed   SHARE violations.  Thanks for Jack Brahce for providing
                some example C files for doing DOS sharing (these
                examples were almost impossible for me to find! Argh!)

        Fixed   The program couldn't run on a drive other than where
                Renegade was located.

        Fixed   ERROR.LOG was popping up everywhere after the program
                finished.


        FileDude v3.0 released
        ----------------------


        [End-of-file]
